Last Comment Bug 526739 - Add iki.fi to Public Suffix List
: Add iki.fi to Public Suffix List
Status: RESOLVED FIXED
: fixed1.9.0.18
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-05 04:09 PST by Gervase Markham [:gerv]
Modified: 2009-12-21 14:12 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final-fixed
.8-fixed


Attachments
Patch v.1 (780 bytes, patch)
2009-11-12 07:37 PST, Gervase Markham [:gerv]
pkasting: review+
mbeltzner: approval1.9.2+
dveditz: approval1.9.1.8+
dveditz: approval1.9.0.18+
Details | Diff | Review

Description Gervase Markham [:gerv] 2009-11-05 04:09:55 PST
I received the following email:

Hello,

iki.fi is a non-profit society (founded 1995) members in Finland which provides our members (among e-mail and SIP forwarding etc) a subdomain delegation for the member's own DNS and servers, e.g. www.haa.iki.fi (my server), kivinen.iki.fi (another board member), etc. Members can have their own DNS so there is quite a lot of subdomain activity. Many internet-activists in Finland are iki.fi members.

We would like to have iki.fi added to the public suffix list to make sure cookies would be protected between our member personal domains.

I am the chairman of iki.fi and the contact for our domain and IP address space. Unfortunately the .fi whois does not show e-mail addresses (we have complained to them about it). You can find my e-mail as the contact for our IP address space (e.g. iki.fi -> 212.16.100.1 -> RIPE information). The telephone number in the iki.fi whois is my mobile phone, you may call that instead if you wish to verify this information that way (I am in the UTC+2 timezone).

The requested diff is attached to this message as a file and also provided below as it is very simple:

--- effective_tld_names.dat.dist    2009-10-21 02:31:19.000000000 +0300
+++ effective_tld_names.dat    2009-11-04 18:39:49.000000000 +0200
@@ -807,6 +807,8 @@
 // completely removed.
 // TODO: Check for updates (expected to be phased out around Q1/2009)
 aland.fi
+// iki.fi : http://www.iki.fi
+iki.fi

 // fj : http://en.wikipedia.org/wiki/.fj
 *.fj

Yours,
  Hannu
-- 
  Hannu Aronsson   <haa@iki.fi>                     http://www.haa.iki.fi/
  Chairman, Internet-käyttäjät ikuisesti IKI r.y.   http://www.iki.fi/
            Internet Users Forever Society

  IKI provides its members, private individuals in Finland, a "forever"
  personal internet address with e-mail and www forwarding services.
Comment 1 Gervase Markham [:gerv] 2009-11-12 07:37:40 PST
Created attachment 411967 [details] [diff] [review]
Patch v.1
Comment 2 Gervase Markham [:gerv] 2009-11-26 04:26:40 PST
Comment on attachment 411967 [details] [diff] [review]
Patch v.1

Requesting 1.9.2 approval. Part of general public suffix list maintenance. (After this, I'd expect to get approval for 1.9.1 and 1.9.0 also.)

Gerv
Comment 3 Mike Beltzner [:beltzner, not reading bugmail] 2009-12-02 05:11:06 PST
Comment on attachment 411967 [details] [diff] [review]
Patch v.1

a192=beltzner
Comment 4 Gervase Markham [:gerv] 2009-12-11 16:47:39 PST
1.9.2: http://hg.mozilla.org/releases/mozilla-1.9.2/rev/403ff8330577

Gerv
Comment 5 Reed Loden [:reed] (use needinfo?) 2009-12-11 17:05:04 PST
Shouldn't this have landed on trunk first?
Comment 6 Gervase Markham [:gerv] 2009-12-11 17:38:24 PST
Yeah, oops. I thought I'd done that. When I noticed, I went to land it on trunk, but there was an orange tinderbox. It's gone now, so I'll land it.

Gerv
Comment 7 Gervase Markham [:gerv] 2009-12-11 17:53:06 PST
Trunk: http://hg.mozilla.org/releases/mozilla-1.9.2/rev/403ff8330577

Gerv
Comment 8 Gervase Markham [:gerv] 2009-12-11 17:54:18 PST
Sorry, wrong URL from wrong window.

Trunk: http://hg.mozilla.org/mozilla-central/rev/33d7a878ad9a

Gerv
Comment 9 Daniel Veditz [:dveditz] 2009-12-14 14:29:18 PST
Comment on attachment 411967 [details] [diff] [review]
Patch v.1

Approved for 1.9.1.7 and 1.9.0.17, a=dveditz for release-drivers
Comment 10 Gervase Markham [:gerv] 2009-12-21 14:12:52 PST
Fixed on 1.9.1 branch:
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/0bb8d2c1b38d

and 1.9.0 branch:
Checking in netwerk/dns/src/effective_tld_names.dat;
/cvsroot/mozilla/netwerk/dns/src/effective_tld_names.dat,v  <--  effective_tld_names.dat
new revision: 1.15; previous revision: 1.14
done

Gerv

Note You need to log in before you can comment on or make changes to this bug.